# LockableTwoRefCountInfo Class Reference
[StrongPtr Ownership policies]

`#include <StrongPtr.h>`

## Detailed Description

Implementation detail for thread-safe reference counting for strong and weak pointers. It uses TwoRefCountInfo to manage the pointer and counts. All this does is provide a thread safety mechanism. Since it is just a class for managing implementation details, it is not intended to be used directly - which is why it is in a private namespace. Each instance is a shared resource for all copointers, and there should be only one of these for each set of copointers. This class is small, trivial, and inline.

Note:
  This class is not designed for use with a single-threaded model. Tests using a single-threaded model will not run properly, but tests in a multi-threaded model with either class-level-locking or object-level-locking do run properly.

The documentation for this class was generated from the following file:

- StrongPtr.h